summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-03-18 22:35:06 -0500
committer Erik Hanson <erik@slackbuilds.org>2014-03-18 22:35:06 -0500
commit3d62c5e2deb1dfa031b2fc5a3eab9ee05628bc47 (patch)
tree69c751d49b44d87d1c08269b6c87e8182b0a551c /system
parent7bd891b6916ea9ae7fd221b48c8ed446c5278f06 (diff)
downloadslackbuilds-3d62c5e2deb1dfa031b2fc5a3eab9ee05628bc47.tar.gz
slackbuilds-3d62c5e2deb1dfa031b2fc5a3eab9ee05628bc47.tar.xz
system/gimp-help: Added (GIMP Help)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/gimp-help/README23
-rw-r--r--system/gimp-help/gimp-help.SlackBuild95
-rw-r--r--system/gimp-help/gimp-help.info10
-rw-r--r--system/gimp-help/slack-desc19
4 files changed, 147 insertions, 0 deletions
diff --git a/system/gimp-help/README b/system/gimp-help/README
new file mode 100644
index 0000000000..0d6c3bb794
--- /dev/null
+++ b/system/gimp-help/README
@@ -0,0 +1,23 @@
+This package provides GIMP user manual in many languages
+
+Supported languages:
+ ca "Catalan"
+ da "Danish"
+ de "German"
+ el "Greek"
+ en "English"
+ en_GB "English (United Kingdom)"
+ es "Spanish"
+ fr "French"
+ it "Italian"
+ ja "Japanese"
+ ko "Korean"
+ nl "Dutch"
+ nn "Norwegian "
+ pt_BR "Brazilian Portuguese"
+ ru "Russian"
+ sl "Slovenian"
+ sv "Swedish"
+ zh_CN "Chinese (simplified)"
+
+Optional dependencies: pngcrush and pngnq-s9
diff --git a/system/gimp-help/gimp-help.SlackBuild b/system/gimp-help/gimp-help.SlackBuild
new file mode 100644
index 0000000000..59234e0552
--- /dev/null
+++ b/system/gimp-help/gimp-help.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+# Slackware build script for gimp-help
+
+# Copyright 2014 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for any purpose
+# with or without fee is hereby granted, provided that the above copyright
+# notice and this permission notice appear in all copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
+# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# AUTHORS AND COPYRIGHT HOLDERS AND THEIR CONTRIBUTORS BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gimp-help
+VERSION=${VERSION:-2.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}-${VERSION}.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-languageMenu \
+ --build=$ARCH-slackware-linux \
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS NEWS README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/gimp-help/gimp-help.info b/system/gimp-help/gimp-help.info
new file mode 100644
index 0000000000..4010535811
--- /dev/null
+++ b/system/gimp-help/gimp-help.info
@@ -0,0 +1,10 @@
+PRGNAM="gimp-help"
+VERSION="2.8.1"
+HOMEPAGE="http://www.gimp.org/"
+DOWNLOAD="ftp://ftp.gimp.org/pub/gimp/help/gimp-help-2.8.1.tar.bz2"
+MD5SUM="7f48c64bcadab9611ce8d3d89d990bb4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/system/gimp-help/slack-desc b/system/gimp-help/slack-desc
new file mode 100644
index 0000000000..32319c799a
--- /dev/null
+++ b/system/gimp-help/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gimp-help: gimp-help (GIMP Help)
+gimp-help:
+gimp-help: This package provides GIMP user manual in many languages
+gimp-help:
+gimp-help:
+gimp-help:
+gimp-help: Homepage: http://www.gimp.org/
+gimp-help:
+gimp-help:
+gimp-help:
+gimp-help: